All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.serverprop
Class ServerAttribute

    com.sas.iquery.metadata.serverprop.ServerAttribute

    @SASScope(value="ALL")
    @SubjectToChange
    @Immutable
    public final class ServerAttribute

Contains "constant" attributes that are used to retrieve information about server capabilities from a ServerProperties object.

Field Summary
`static ServerAttribute` | `CAPTION_LABEL_MAX_LENGTH` Specifies the maximum number of characters that can be used for the label of a business item in an information map.
`static ServerAttribute` | `CAPTION_LABEL_VALID_CHARS_RULE_ATTR` Specifies the rule for verifying what string can be used for the label of a business item in an information map.
`static ServerAttribute` | `DATE_QUERY_GENERATION_PATTERN` Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for DateValueExpression objects when generating queries.
`static ServerAttribute` | `IDENTIFIER_QUOTE_END` Used to quote identifiers that contain characters not in UNQUOTE_NAME_CHARACTERS.
`static ServerAttribute` | `IDENTIFIER_QUOTE_START` Used to quote identifiers that contain characters not in UNQUOTE_NAME_CHARACTERS.
`static ServerAttribute` | `LITERAL_INTERNAL_ESCAPED_QUOTE` When a quote is requested inside of a quoted literal, the given string should be used to instead of the quote character.
`static ServerAttribute` | `SUPPORTS_GROUPBY_UNRELATED` Returns true if the server supports sorting by items not returned from a query.
`static ServerAttribute` | `SUPPORTS_ORDERBY_UNRELATED` Returns true if the server supports sorting by items not returned from a query.
`static ServerAttribute` | `SUPPORTS_ORDERBY_UNRELATED_MEASURE` Returns true if the server supports sorting by measure items not returned from a query.
`static ServerAttribute` | `TIME_QUERY_GENERATION_PATTERN` Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for TimeValueExpression objects when generating queries This attribute is connection-type specific.
`static ServerAttribute` | `TIMESTAMP_QUERY_GENERATION_PATTERN` Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for TimestampValueExpression objects when generating queries This attribute is connection-type specific.
`static ServerAttribute` | `UNQUOTE_NAME_CHARACTERS` Legal characters that can be used in an identifier without any special quoting.

Field Detail

*** This field is subject to change. ***

### IDENTIFIER_QUOTE_START

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute IDENTIFIER_QUOTE_START

  Used to quote identifiers that contain characters not in UNQUOTE_NAME_CHARACTERS. Example include ' and [

*** This field is subject to change. ***

### IDENTIFIER_QUOTE_END

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute IDENTIFIER_QUOTE_END

  Used to quote identifiers that contain characters not in UNQUOTE_NAME_CHARACTERS. Example include 'n and ]

*** This field is subject to change. ***

### LITERAL_INTERNAL_ESCAPED_QUOTE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute LITERAL_INTERNAL_ESCAPED_QUOTE

  When a quote is requested inside of a quoted literal, the given string should be used to instead of the quote character. Examples include \" and ""

*** This field is subject to change. ***

### DATE_QUERY_GENERATION_PATTERN

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute DATE_QUERY_GENERATION_PATTERN

  Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for DateValueExpression objects when generating queries. This attribute is connection-type specific.

*** This field is subject to change. ***

### TIME_QUERY_GENERATION_PATTERN

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute TIME_QUERY_GENERATION_PATTERN

  Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for TimeValueExpression objects when generating queries This attribute is connection-type specific.

*** This field is subject to change. ***

### TIMESTAMP_QUERY_GENERATION_PATTERN

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute TIMESTAMP_QUERY_GENERATION_PATTERN

  Specifies the format pattern (to use with the java.text.SimpleDateFormat class) for TimestampValueExpression objects when generating queries This attribute is connection-type specific.

*** This field is subject to change. ***

### UNQUOTE_NAME_CHARACTERS

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute UNQUOTE_NAME_CHARACTERS

  Legal characters that can be used in an identifier without any special quoting.

*** This field is subject to change. ***

### SUPPORTS_GROUPBY_UNRELATED

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute SUPPORTS_GROUPBY_UNRELATED

  Returns true if the server supports sorting by items not returned from a query. If null then grouping by unrelated items is not supported.

*** This field is subject to change. ***

### SUPPORTS_ORDERBY_UNRELATED

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute SUPPORTS_ORDERBY_UNRELATED

  Returns true if the server supports sorting by items not returned from a query. If null then ordering by unrelated items is not supported.

*** This field is subject to change. ***

### SUPPORTS_ORDERBY_UNRELATED_MEASURE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute SUPPORTS_ORDERBY_UNRELATED_MEASURE

  Returns true if the server supports sorting by measure items not returned from a query. If null then ordering by unrelated items is not supported.

*** This field is subject to change. ***

### CAPTION_LABEL_MAX_LENGTH

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute CAPTION_LABEL_MAX_LENGTH

  Specifies the maximum number of characters that can be used for the label of a business item in an information map. If null then there is no limit.

*** This field is subject to change. ***

### CAPTION_LABEL_VALID_CHARS_RULE_ATTR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final ServerAttribute CAPTION_LABEL_VALID_CHARS_RULE_ATTR

  Specifies the rule for verifying what string can be used for the label of a business item in an information map. If null any string is valid.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.